/*
 * #%L
 * JRst :: Api
 * 
 * $Id: DateDirective.java 512 2010-11-22 14:47:17Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/jrst/tags/jrst-1.3/jrst/src/main/java/org/nuiton/jrst/directive/DateDirective.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.jrst.directive;

import org.nuiton.jrst.JRSTDirective;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.dom4j.Node;
import org.dom4j.Text;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * .. date:: .. time::
 * 
 * Created: 4 nov. 06 13:29:25
 *
 * @author poussin
 * @version $Revision: 512 $
 *
 * Last update: $Date: 2010-11-22 15:47:17 +0100 (lun., 22 nov. 2010) $
 * by : $Author: tchemit $
 */
public class DateDirective implements JRSTDirective {

    /*
     * @see org.nuiton.jrst.JRSTDirective#parse(org.dom4j.Element)
     */
    @Override
    public Node parse(Element e) {

        // String format = e.attributeValue(JRSTLexer.DIRECTIVE_VALUE);

        // TODO used format to format date, this format is not Java standard
        // is python standard "%Y-%m-%d"

        Text result = DocumentHelper.createText(SimpleDateFormat.getInstance()
                .format(new Date()));
        return result;
    }

}
