/*
 * #%L
 * JRst :: Api
 * 
 * $Id: JRSTDirective.java 512 2010-11-22 14:47:17Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/jrst/tags/jrst-1.3/jrst/src/main/java/org/nuiton/jrst/JRSTDirective.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.jrst;

import org.dom4j.Element;
import org.dom4j.Node;

/**
 * JRSTDirective.
 * 
 * Created: 4 nov. 06 12:49:39
 *
 * @author poussin
 * @version $Revision: 512 $
 *
 * Last update: $Date: 2010-11-22 15:47:17 +0100 (lun., 22 nov. 2010) $
 * by : $Author: tchemit $
 */
public interface JRSTDirective {

    /**
     * parse directive block element and return element to put in final XML
     * 
     * @param e the element to scan
     * @return the parsed node
     */
    Node parse(Element e);
}
